
<section class="filter-container">
  <i class="fa fa-refresh refresh-icon" aria-hidden="true" (click)="refresh()"></i>
  <mat-form-field>
    <mat-label>Filter</mat-label>
    <input matInput (keyup)="applyFilter($event)" placeholder="Filter by ID/Status">
    <i class="fa fa-filter" aria-hidden="true"></i>
  </mat-form-field>
</section>
<div class="mat-elevation-z8">
  <table mat-table matSort [dataSource]="dataSource">
    <ng-container matColumnDef="SNo">
      <th mat-header-cell *matHeaderCellDef> S.No </th>
      <td class="link" mat-cell *matCellDef="let element; let i = index;"> {{i + 1}} </td>
    </ng-container>
    <ng-container matColumnDef="code">
      <th mat-header-cell *matHeaderCellDef mat-sort-header> No. </th>
      <td class="link" mat-cell (click)="displayInfo(element)" *matCellDef="let element"> {{element.code}} </td>
    </ng-container>
    <ng-container matColumnDef="SRNo">
      <th mat-header-cell *matHeaderCellDef mat-sort-header> No. </th>
      <td class="link" mat-cell (click)="displayHRInfo(element)" *matCellDef="let element"> {{element.code}} </td>
    </ng-container>
    <ng-container matColumnDef="warehouseCode">
      <th mat-header-cell *matHeaderCellDef mat-sort-header> Code </th>
      <td class="link" mat-cell (click)="displayInfo(element)" *matCellDef="let element"> {{element.code}} </td>
    </ng-container>
    <ng-container matColumnDef="dimensionCode">
      <th mat-header-cell *matHeaderCellDef mat-sort-header> Code </th>
      <td mat-cell *matCellDef="let element"> {{element.code}} </td>
    </ng-container>
    <ng-container matColumnDef="parent.employeeName">
      <th mat-header-cell *matHeaderCellDef mat-sort-header> Employee Name </th>
      <td mat-cell *matCellDef="let element"> {{element.parent.employeeName}} </td>
    </ng-container>
    <ng-container matColumnDef="employeeName">
      <th mat-header-cell *matHeaderCellDef mat-sort-header> Employee Name </th>
      <td mat-cell *matCellDef="let element"> {{element.employeeName}} </td>
    </ng-container>
    <ng-container matColumnDef="parent.employeeNumber">
      <th mat-header-cell *matHeaderCellDef mat-sort-header> Employee Number </th>
      <td mat-cell *matCellDef="let element"> {{element.parent.employeeNumber}} </td>
    </ng-container>
    <ng-container matColumnDef="employeeNumber">
      <th mat-header-cell *matHeaderCellDef mat-sort-header> Employee Number </th>
      <td mat-cell *matCellDef="let element"> {{element.employeeNumber}} </td>
    </ng-container>
    <ng-container matColumnDef="parent.reason">
      <th mat-header-cell *matHeaderCellDef mat-sort-header> Reason </th>
      <td mat-cell *matCellDef="let element"> {{element.parent.reason}} </td>
    </ng-container>
    <ng-container matColumnDef="parent.status">
      <th mat-header-cell *matHeaderCellDef mat-sort-header> Status </th>
      <td mat-cell *matCellDef="let element"> {{element.parent.status}} </td>
    </ng-container>
    <ng-container matColumnDef="parent.creationDate">
      <th mat-header-cell *matHeaderCellDef mat-sort-header> Creation Date </th>
      <td mat-cell *matCellDef="let element"> {{element.parent.creationDate}} </td>
    </ng-container>
    <ng-container matColumnDef="pk">
      <th mat-header-cell *matHeaderCellDef mat-sort-header> Entry ID </th>
      <td mat-cell *matCellDef="let element"> {{element.pk}}
        <span matTooltip="{{element?.pk}}" class="infor-error" *ngIf="!!element.pk">Info</span>
      </td>
    </ng-container>
    <ng-container matColumnDef="payrollYear">
      <th mat-header-cell *matHeaderCellDef mat-sort-header> Payroll Year </th>
      <td mat-cell *matCellDef="let element"> {{element.year}} </td>
    </ng-container>
    <ng-container matColumnDef="workflowActionPk">
      <th mat-header-cell *matHeaderCellDef mat-sort-header> Entry ID </th>
      <td class="link" mat-cell (click)="displayHRInfo(element)" *matCellDef="let element">
        {{element.parent.transactionId}} </td>
    </ng-container>
    <ng-container matColumnDef="effectiveDate">
      <th mat-header-cell *matHeaderCellDef mat-sort-header> Effective Date </th>
      <td mat-cell *matCellDef="let element"> {{element.effectiveDate}} </td>
    </ng-container>
    <ng-container matColumnDef="entryType">
      <th mat-header-cell *matHeaderCellDef mat-sort-header> Entry Type </th>
      <td mat-cell *matCellDef="let element"> {{element.entryType}} </td>
    </ng-container>
    <ng-container matColumnDef="classification">
      <th mat-header-cell *matHeaderCellDef mat-sort-header> Classification </th>
      <td mat-cell *matCellDef="let element"> {{element.classification}} </td>
    </ng-container>
    <ng-container matColumnDef="currentApprover">
      <th mat-header-cell *matHeaderCellDef mat-sort-header> Current Approver </th>
      <td mat-cell *matCellDef="let element"> {{element.currentApprover}} </td>
    </ng-container>
    <ng-container matColumnDef="recurring">
      <th mat-header-cell *matHeaderCellDef mat-sort-header> Type </th>
      <td mat-cell *matCellDef="let element"> {{element.recurring ? 'Recurring' : 'One Time'}} </td>
    </ng-container>
    <ng-container matColumnDef="dimension1">
      <th mat-header-cell *matHeaderCellDef mat-sort-header> Dimension one </th>
      <!-- <td mat-cell *matCellDef="let element"> {{element.dimensionStatus[0].value}} </td> -->
      <td mat-cell *matCellDef="let element"> {{getDimension(element.dimensionStatus, 'Line_Of_Business')}} </td>
    </ng-container>
    <ng-container matColumnDef="dimension2">
      <th mat-header-cell *matHeaderCellDef mat-sort-header> Dimension two </th>
      <td mat-cell *matCellDef="let element"> {{getDimension(element.dimensionStatus, 'Item_Group')}} </td>
    </ng-container>
    <ng-container matColumnDef="dimension3">
      <th mat-header-cell *matHeaderCellDef mat-sort-header> Dimension three </th>
      <td mat-cell *matCellDef="let element"> {{getDimension(element.dimensionStatus, 'Project')}} </td>
    </ng-container>
    <ng-container matColumnDef="dimension4">
      <th mat-header-cell *matHeaderCellDef mat-sort-header> Dimension four </th>
      <td mat-cell *matCellDef="let element"> {{getDimension(element.dimensionStatus, 'Department')}} </td>
    </ng-container>
    <ng-container matColumnDef="dimension5">
      <th mat-header-cell *matHeaderCellDef mat-sort-header> Dimension five </th>
      <td mat-cell *matCellDef="let element"> {{getDimension(element.dimensionStatus, 'Employee_Miscellaneous')}} </td>
    </ng-container>
    <ng-container matColumnDef="accountNumber">
      <th mat-header-cell *matHeaderCellDef mat-sort-header> Account Number </th>
      <td mat-cell *matCellDef="let element"> {{element.accountNumber}} </td>
    </ng-container>
    <ng-container matColumnDef="accountType">
      <th mat-header-cell *matHeaderCellDef mat-sort-header> Account Type </th>
      <td mat-cell *matCellDef="let element"> {{element.accountType}} </td>
    </ng-container>
    <ng-container matColumnDef="user.name">
      <th mat-header-cell *matHeaderCellDef> Name </th>
      <td mat-cell *matCellDef="let element"> {{element.user.name}} </td>
    </ng-container>
    <ng-container matColumnDef="user">
      <th mat-header-cell *matHeaderCellDef>User</th>
      <td class="link" mat-cell *matCellDef="let element" (click)="displayLedgerInfo(element)">{{element.user}}</td>
    </ng-container>
    <ng-container matColumnDef="ledgerAccount.accountType">
      <th mat-header-cell *matHeaderCellDef>Account Type</th>
      <td mat-cell *matCellDef="let element"> {{element.ledgerAccount.accountType}} </td>
    </ng-container>
    <!-- <ng-container matColumnDef="description">
      <th mat-header-cell *matHeaderCellDef>Description</th>
      <td mat-cell *matCellDef="let element"> {{element.description}} </td>
    </ng-container> -->
    <ng-container matColumnDef="ledgerAccount.accountNumber">
      <th mat-header-cell *matHeaderCellDef>Ledger Number</th>
      <td class="link" mat-cell *matCellDef="let element" (click)="displayLedgerInfo(element)">
        {{element?.ledgerAccount?.accountNumber}} </td>
    </ng-container>
    <ng-container matColumnDef="created">
      <th mat-header-cell *matHeaderCellDef> Date </th>
      <td mat-cell *matCellDef="let element"> {{element.created | date: 'dd-MMM-yyyy'}} </td>
    </ng-container>
    <ng-container matColumnDef="totalPriceWithTax.formattedValue">
      <th mat-header-cell *matHeaderCellDef> Amount </th>
      <td mat-cell *matCellDef="let element">{{element.totalPriceWithTax.formattedValue}} </td>
    </ng-container>
    <ng-container matColumnDef="status">
      <th mat-header-cell *matHeaderCellDef> Status </th>
      <td mat-cell *matCellDef="let element">{{element.status}} </td>
    </ng-container>
    <ng-container matColumnDef="invoiceNumber">
      <th mat-header-cell *matHeaderCellDef> Invoice Number </th>
      <td mat-cell *matCellDef="let element">{{element.invoiceNumber}} </td>
    </ng-container>
    <ng-container matColumnDef="reference">
      <th mat-header-cell *matHeaderCellDef> Reference </th>
      <td mat-cell *matCellDef="let element">{{element.reference}} </td>
    </ng-container>
    <ng-container matColumnDef="documentNumber">
      <th mat-header-cell *matHeaderCellDef> Document Number </th>
      <td mat-cell *matCellDef="let element">{{element.documentNumber}} </td>
    </ng-container>
    <ng-container matColumnDef="documentDate">
      <th mat-header-cell *matHeaderCellDef> Document Date </th>
      <td mat-cell *matCellDef="let element">{{element.documentDate | date: 'dd-MMM-yyyy'}} </td>
    </ng-container>
    <ng-container matColumnDef="businessPartner">
      <th mat-header-cell *matHeaderCellDef> Business Partner </th>
      <td mat-cell *matCellDef="let element">{{element.businessPartner}} </td>
    </ng-container>
    <ng-container matColumnDef="amountInInvoiceCurrency">
      <th mat-header-cell *matHeaderCellDef> Amount In Invoice Currency </th>
      <td mat-cell *matCellDef="let element">{{element.amountInInvoiceCurrency}} </td>
    </ng-container>
    <ng-container matColumnDef="balanceAmount">
      <th mat-header-cell *matHeaderCellDef> Balance Amount </th>
      <td mat-cell *matCellDef="let element">{{element.balanceAmount}} </td>
    </ng-container>
    <ng-container matColumnDef="name">
      <th mat-header-cell *matHeaderCellDef> Name </th>
      <td mat-cell *matCellDef="let element">{{element.name}} </td>
    </ng-container>
    <ng-container matColumnDef="vatNumber">
      <th mat-header-cell *matHeaderCellDef> Vat Number </th>
      <td mat-cell *matCellDef="let element">{{element.vatNumber}} </td>
    </ng-container>
    <ng-container matColumnDef="bpCode">
      <th mat-header-cell *matHeaderCellDef> Bp Code </th>
      <td mat-cell *matCellDef="let element">{{element.bpCode}} </td>
    </ng-container>
    <ng-container matColumnDef="currency">
      <th mat-header-cell *matHeaderCellDef> Currency </th>
      <td mat-cell *matCellDef="let element">{{element.currency}} </td>
    </ng-container>
    <ng-container matColumnDef="address">
      <th mat-header-cell *matHeaderCellDef> Address </th>
      <td mat-cell *matCellDef="let element">{{element.address}} </td>
    </ng-container>
    <ng-container matColumnDef="country">
      <th mat-header-cell *matHeaderCellDef> Country </th>
      <td mat-cell *matCellDef="let element">{{element.country}} </td>
    </ng-container>
    <ng-container matColumnDef="city">
      <th mat-header-cell *matHeaderCellDef> City </th>
      <td mat-cell *matCellDef="let element">{{element.city}} </td>
    </ng-container>
    <ng-container matColumnDef="id">
      <th mat-header-cell *matHeaderCellDef> GL Number </th>
      <td (click)="displayLedgerInfo(element)" class="link" mat-cell *matCellDef="let element">{{element.id}} </td>
    </ng-container>
    <ng-container matColumnDef="itemCode">
      <th mat-header-cell *matHeaderCellDef> Item Code </th>
      <td mat-cell *matCellDef="let element">{{element.itemCode}} </td>
    </ng-container>
    <ng-container matColumnDef="itemType">
      <th mat-header-cell *matHeaderCellDef> Item Type </th>
      <td mat-cell *matCellDef="let element">{{element.itemType}} </td>
    </ng-container>
    <ng-container matColumnDef="type">
      <th mat-header-cell *matHeaderCellDef> Type </th>
      <td mat-cell *matCellDef="let element">{{element.type}} </td>
    </ng-container>
    <ng-container matColumnDef="runPayrollType">
      <th mat-header-cell *matHeaderCellDef> Payroll Type </th>
      <td mat-cell *matCellDef="let element">{{element.runPayrollType}} </td>
    </ng-container>
    <ng-container matColumnDef="monthInText">
      <th mat-header-cell *matHeaderCellDef> Month </th>
      <td mat-cell *matCellDef="let element">{{element.monthInText}}
      </td>
    </ng-container>
    <ng-container matColumnDef="company">
      <th mat-header-cell *matHeaderCellDef> Company </th>
      <td mat-cell *matCellDef="let element">{{element.company}} </td>
    </ng-container>
    <ng-container matColumnDef="parentLedger">
      <th mat-header-cell *matHeaderCellDef> Parent Ledger </th>
      <td mat-cell *matCellDef="let element">{{element.parentLedger}} </td>
    </ng-container>
    <ng-container matColumnDef="searchKey">
      <th mat-header-cell *matHeaderCellDef> Search Key </th>
      <td mat-cell *matCellDef="let element">{{element.searchKey}} </td>
    </ng-container>
    <ng-container matColumnDef="itemGroup">
      <th mat-header-cell *matHeaderCellDef> Item Group </th>
      <td mat-cell *matCellDef="let element">{{element.itemGroup}} </td>
    </ng-container>
    <ng-container matColumnDef="inventoryUnit">
      <th mat-header-cell *matHeaderCellDef> Inventory Unit </th>
      <td mat-cell *matCellDef="let element">{{element.inventoryUnit}} </td>
    </ng-container>
    <ng-container matColumnDef="description">
      <th mat-header-cell *matHeaderCellDef>Description</th>
      <td mat-cell *matCellDef="let element">{{element.description}}</td>
    </ng-container>
    <ng-container matColumnDef="dimensionType">
      <th mat-header-cell *matHeaderCellDef>Dimension Type</th>
      <td mat-cell *matCellDef="let element">{{element.dimensionType}}</td>
    </ng-container>
    <ng-container matColumnDef="parentDimension">
      <th mat-header-cell *matHeaderCellDef>Parent Dimension</th>
      <td mat-cell *matCellDef="let element">{{element.parentDimension}}</td>
    </ng-container>
    <ng-container matColumnDef="subLevel">
      <th mat-header-cell *matHeaderCellDef>Sub Level</th>
      <td mat-cell *matCellDef="let element">{{element.subLevel}}</td>
    </ng-container>
    <ng-container matColumnDef="itemDescription">
      <th mat-header-cell *matHeaderCellDef> Item Description </th>
      <td mat-cell *matCellDef="let element">{{element.itemDescription}} </td>
    </ng-container>
    <ng-container matColumnDef="unitSet">
      <th mat-header-cell *matHeaderCellDef> UnitSet </th>
      <td mat-cell *matCellDef="let element">{{element.unitSet}} </td>
    </ng-container>
    <ng-container matColumnDef="price">
      <th mat-header-cell *matHeaderCellDef> Price </th>
      <td mat-cell *matCellDef="let element">{{element.price | number : '1.0-2'}} </td>
    </ng-container>
    <ng-container matColumnDef="uid">
      <th mat-header-cell *matHeaderCellDef> Uid </th>
      <td mat-cell *matCellDef="let element">{{element.uid}} </td>
    </ng-container>
    <ng-container matColumnDef="ledger">
      <th mat-header-cell *matHeaderCellDef> Ledger </th>
      <td mat-cell *matCellDef="let element">{{element.ledger}} </td>
    </ng-container>
    <ng-container matColumnDef="dr">
      <th mat-header-cell *matHeaderCellDef> Dr </th>
      <td mat-cell *matCellDef="let element">{{element.dr}} </td>
    </ng-container>
    <ng-container matColumnDef="date">
      <th mat-header-cell *matHeaderCellDef> Date </th>
      <td mat-cell *matCellDef="let element">{{element.date}} </td>
    </ng-container>
    <ng-container matColumnDef="financialGroup">
      <th mat-header-cell *matHeaderCellDef> Financial Group </th>
      <td mat-cell *matCellDef="let element">{{element.financialGroup}} </td>
    </ng-container>
    <ng-container matColumnDef="amount">
      <th mat-header-cell *matHeaderCellDef> Amount </th>
      <td mat-cell *matCellDef="let element">{{element.amount | number : '1.0-2'}} </td>
    </ng-container>
    <ng-container matColumnDef="assetCode">
      <th mat-header-cell *matHeaderCellDef> Asset Code </th>
      <td mat-cell *matCellDef="let element">{{element.assetCode}} </td>
    </ng-container>
    <ng-container matColumnDef="assetName">
      <th mat-header-cell *matHeaderCellDef> Asset Name </th>
      <td mat-cell *matCellDef="let element">{{element.assetName}} </td>
    </ng-container>
    <ng-container matColumnDef="category">
      <th mat-header-cell *matHeaderCellDef> Asset Category </th>
      <td mat-cell *matCellDef="let element">{{element.category}} </td>
    </ng-container>
    <ng-container matColumnDef="assetExtension">
      <th mat-header-cell *matHeaderCellDef> Asset Extension </th>
      <td mat-cell *matCellDef="let element">{{element.assetExtension}} </td>
    </ng-container>
    <ng-container matColumnDef="assetDescription">
      <th mat-header-cell *matHeaderCellDef> Asset Description </th>
      <td mat-cell *matCellDef="let element">{{element.description}}</td>
    </ng-container>
    <ng-container matColumnDef="group">
      <th mat-header-cell *matHeaderCellDef> Asset Group </th>
      <td mat-cell *matCellDef="let element">{{element.group}} </td>
    </ng-container>
    <ng-container matColumnDef="purchaseDate">
      <th mat-header-cell *matHeaderCellDef> Purchased Date </th>
      <td mat-cell *matCellDef="let element">{{element.purchaseDate}} </td>
    </ng-container>

    <ng-container matColumnDef="periodType">
      <th mat-header-cell *matHeaderCellDef> Period Type </th>
      <td mat-cell *matCellDef="let element">{{element.periodType}} </td>
    </ng-container>

    <ng-container matColumnDef="year">
      <th mat-header-cell *matHeaderCellDef> Year </th>
      <td mat-cell *matCellDef="let element">{{element.year}} </td>
    </ng-container>

    <ng-container matColumnDef="period">
      <th mat-header-cell *matHeaderCellDef> Period </th>
      <td mat-cell *matCellDef="let element">{{element.period}} </td>
    </ng-container>

    <ng-container matColumnDef="startDate">
      <th mat-header-cell *matHeaderCellDef> Start Date </th>
      <td mat-cell *matCellDef="let element">{{element.startDate}} </td>
    </ng-container>
    <ng-container matColumnDef="endDate">
      <th mat-header-cell *matHeaderCellDef> End Date </th>
      <td mat-cell *matCellDef="let element">{{element.endDate}} </td>
    </ng-container>
    <ng-container matColumnDef="vatCode">
      <th mat-header-cell *matHeaderCellDef> VAT Code </th>
      <td mat-cell *matCellDef="let element">{{element.vatCode}} </td>
    </ng-container>
    <ng-container matColumnDef="vatDescription">
      <th mat-header-cell *matHeaderCellDef> VAT Description </th>
      <td mat-cell *matCellDef="let element">{{element.vatDescription}} </td>
    </ng-container>
    <ng-container matColumnDef="poPrice">
      <th mat-header-cell *matHeaderCellDef> Purchase Price </th>
      <td mat-cell *matCellDef="let element"> {{element.purchasePrice | number : '1.0-2'}} </td>
    </ng-container>
    <ng-container matColumnDef="soPrice">
      <th mat-header-cell *matHeaderCellDef> Sales Price </th>
      <td mat-cell *matCellDef="let element"> {{element.salesPrice | number : '1.0-2'}} </td>
    </ng-container>
    <ng-container matColumnDef="vatPercentage">
      <th mat-header-cell *matHeaderCellDef> VAT Percentage </th>
      <td mat-cell *matCellDef="let element">{{element.vatPercentage}} </td>
    </ng-container>
    <ng-container matColumnDef="periodDescription">
      <th mat-header-cell *matHeaderCellDef> Period Description </th>
      <td mat-cell *matCellDef="let element">{{element.description}} </td>
    </ng-container>

    <ng-container matColumnDef="correctionPeriod">
      <th mat-header-cell *matHeaderCellDef> Correction Period </th>
      <td mat-cell *matCellDef="let element">{{element.correctionPeriod}} </td>
    </ng-container>

    <ng-container matColumnDef="status1">
      <th mat-header-cell *matHeaderCellDef> Status 1 </th>
      <td mat-cell *matCellDef="let element">{{getStatus(element.periodStatus, 'status1')}} </td>
    </ng-container>

    <ng-container matColumnDef="status2">
      <th mat-header-cell *matHeaderCellDef> Status 2 </th>
      <td mat-cell *matCellDef="let element">{{getStatus(element.periodStatus, 'status2')}} </td>
    </ng-container>

    <ng-container matColumnDef="status3">
      <th mat-header-cell *matHeaderCellDef> Status 3 </th>
      <td mat-cell *matCellDef="let element">{{getStatus(element.periodStatus, 'status3')}} </td>
    </ng-container>

    <ng-container matColumnDef="status4">
      <th mat-header-cell *matHeaderCellDef> Status 4 </th>
      <td mat-cell *matCellDef="let element">{{getStatus(element.periodStatus, 'status4')}} </td>
    </ng-container>

    <ng-container matColumnDef="status5">
      <th mat-header-cell *matHeaderCellDef> Status 5 </th>
      <td mat-cell *matCellDef="let element">{{getStatus(element.periodStatus, 'status5')}} </td>
    </ng-container>

    <ng-container matColumnDef="serviceDate">
      <th mat-header-cell *matHeaderCellDef> Service Date </th>
      <td mat-cell *matCellDef="let element">{{element.serviceDate}} </td>
    </ng-container>
    <ng-container matColumnDef="transactionCost">
      <th mat-header-cell *matHeaderCellDef> Transaction Cost </th>
      <td mat-cell *matCellDef="let element">{{element.transactionCost | number : '1.0-2'}} </td>
    </ng-container>
    <ng-container matColumnDef="transactionCurrency">
      <th mat-header-cell *matHeaderCellDef> Transaction Currency </th>
      <td mat-cell *matCellDef="let element">{{element.transactionCurrency}} </td>
    </ng-container>

    <ng-container matColumnDef="Code">
      <th mat-header-cell *matHeaderCellDef> Code </th>
      <td mat-cell *matCellDef="let element"> {{element.key }} </td>
    </ng-container>

    <ng-container matColumnDef="Description">
      <th mat-header-cell *matHeaderCellDef> Description </th>
      <td mat-cell *matCellDef="let element"> {{element.value }} </td>
    </ng-container>

    <ng-container matColumnDef="assetLifeMonth">
      <th mat-header-cell *matHeaderCellDef> Life Month </th>
      <td mat-cell *matCellDef="let element"> {{element.assetLifeMonth }} </td>
    </ng-container>

    <ng-container matColumnDef="assetLifeYear">
      <th mat-header-cell *matHeaderCellDef> Life Year </th>
      <td mat-cell *matCellDef="let element"> {{element.assetLifeYear }} </td>
    </ng-container>

    <ng-container matColumnDef="payrollAction">
      <th mat-header-cell *matHeaderCellDef> Action </th>
      <td class="icons" mat-cell *matCellDef="let element">
        <span class="eye-icon" matTooltip="View" (click)="displayHRInfo(element)"><i class="fa fa-eye"
            aria-hidden="true"></i> </span>
        <span matTooltip="Approve" (click)="updatePayrollDetails(element.workflowActionPk, 'approve', 'payrollEntry')"
          class="approve">&#10003; </span>
        <span matTooltip="Reject" (click)="updatePayrollDetails(element.workflowActionPk, 'reject', 'payrollEntry')"
          class="reject">&#10005; </span>
      </td>
    </ng-container>
    <ng-container matColumnDef="payrollOTAction">
      <th mat-header-cell *matHeaderCellDef> Action </th>
      <td class="icons" mat-cell *matCellDef="let element">
        <span class="eye-icon" matTooltip="View" (click)="displayHRInfo(element)"><i class="fa fa-eye"
            aria-hidden="true"></i> </span>
        <span matTooltip="Approve" (click)="updatePayrollDetails(element.workflowActionPk, 'approve', 'overTimeEntry')"
          class="approve">&#10003; </span>
        <span matTooltip="Reject" (click)="updatePayrollDetails(element.workflowActionPk, 'reject', 'overTimeEntry')"
          class="reject">&#10005; </span>
      </td>
    </ng-container>
    <ng-container matColumnDef="runPayrollAction">
      <th mat-header-cell *matHeaderCellDef> Action </th>
      <td class="icons" mat-cell *matCellDef="let element">
        <span class="eye-icon" matTooltip="View" (click)="displayHRInfo(element)"><i class="fa fa-eye"
            aria-hidden="true"></i> </span>
        <span matTooltip="Approve" (click)="updateRunPayroll(element.workflowActionPk, 'approve')"
          class="approve">&#10003; </span>
        <span matTooltip="Reject" (click)="updateRunPayroll(element.workflowActionPk, 'reject')" class="reject">&#10005;
        </span>
      </td>
    </ng-container>
    <ng-container matColumnDef="hrAction">
      <th mat-header-cell *matHeaderCellDef> Action </th>
      <td class="icons" mat-cell *matCellDef="let element">
        <span class="eye-icon" matTooltip="View" (click)="displayHRInfo(element)"><i class="fa fa-eye"
            aria-hidden="true"></i> </span>
        <span matTooltip="Approve" (click)="updateHrDetails(element.workflowActionPk, 'approve')"
          class="approve">&#10003; </span>
        <span matTooltip="Reject" (click)="updateHrDetails(element.workflowActionPk, 'reject')" class="reject">&#10005;
        </span>
      </td>
    </ng-container>
    <ng-container matColumnDef="LedgerAction">
      <th mat-header-cell *matHeaderCellDef> Action </th>
      <td class="icons" mat-cell *matCellDef="let element">
        <span class="eye-icon" matTooltip="View" (click)="displayLedgerInfo(element)"><i class="fa fa-eye"
            aria-hidden="true"></i> </span>
        <span matTooltip="Approve" (click)="updateLedgerDetails(element, 'approve')" class="approve">&#10003; </span>
        <span matTooltip="Reject" (click)="updateLedgerDetails(element, 'reject')" class="reject">&#10005; </span>
      </td>
    </ng-container>
    <ng-container matColumnDef="Approve/Reject">
      <th mat-header-cell *matHeaderCellDef> Action </th>
      <td class="icons" mat-cell *matCellDef="let element">
        <span class="eye-icon" matTooltip="View" (click)="displayInfo(element)"><i class="fa fa-eye"
            aria-hidden="true"></i> </span>
        <span matTooltip="Approve" (click)="updateDetails(element, 'approve')" class="approve">&#10003; </span>
        <span matTooltip="Reject" (click)="updateDetails(element, 'reject')" class="reject">&#10005; </span>
      </td>
    </ng-container>
    <ng-container matColumnDef="edit">
      <th mat-header-cell *matHeaderCellDef> Action </th>
      <td class="icons" mat-cell *matCellDef="let element">
        <span class="edit-icon" matTooltip="Edit" (click)="onEditFCM(element)"><i class="fa fa-pencil-square-o"
            aria-hidden="true"></i></span>
      </td>
    </ng-container>
    <ng-container matColumnDef="CancelReq">
      <th mat-header-cell *matHeaderCellDef> Action </th>
      <td class="icons" mat-cell *matCellDef="let element">
        <button (click)="cancelRequest(element)"
          mat-button>{{element.parent.status == 'PENDING_APPROVAL' ? 'Cancel' : '-'}}</button>
      </td>
    </ng-container>
    <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
    <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
  </table>
  <mat-paginator [pageSizeOptions]="[5, 10, 20]" showFirstLastButtons></mat-paginator>
</div>

<mat-card *ngIf="displayDetailedInfo" id="printable" class="detailed-info">
  <div class="info-header">Detailed Information</div>
  <div class="item-info-container">
    <div *ngIf="detailedInfo.status !== undefined" class="info">
      <span> Status:&nbsp; </span>
      <span> {{detailedInfo.status}} </span>
    </div>
    <div *ngIf="detailedInfo.purchaseOrder !== undefined" class="info">
      <span> Purchase Order:&nbsp; </span>
      <span> {{detailedInfo.purchaseOrder}} </span>
    </div>
    <div *ngIf="detailedInfo.warehouse !== undefined" class="info">
      <span> Ware House:&nbsp; </span>
      <span> {{detailedInfo.warehouse}} </span>
    </div>
    <div *ngIf="detailedInfo.company !== undefined && detailedInfo.companyName !== undefined" class="info">
      <span>Supplier:&nbsp; </span>
      <span> {{detailedInfo.company}} - {{detailedInfo.companyName}} </span>
    </div>
    <div *ngIf="detailedInfo.company && detailedInfo.company.bpCode !== undefined" class="info">
      <span>Supplier:&nbsp; </span>
      <span> {{detailedInfo.company.bpCode}} - {{detailedInfo.company.name}} </span>
    </div>
    <div *ngIf="detailedInfo.salesOrder !== undefined" class="info">
      <span> Sales Order:&nbsp; </span>
      <span> {{detailedInfo.salesOrder}} </span>
    </div>
    <div *ngIf="detailedInfo.salesRep !== undefined" class="info">
      <span> Sales Rep:&nbsp; </span>
      <span> {{detailedInfo.salesRep}} </span>
    </div>
    <div *ngIf="detailedInfo.supplier !== undefined && !detailedInfo.ledgerAccount" class="info">
      <span> Supplier:&nbsp; </span>
      <span> {{detailedInfo.supplier}} - {{detailedInfo.supplierName}} </span>
    </div>
    <div *ngIf="detailedInfo.unit !== undefined" class="info">
      <span> unit:&nbsp; </span>
      <span> {{detailedInfo.unit}} </span>
    </div>
    <div
      *ngIf="detailedInfo.supplier !== undefined && detailedInfo.ledgerAccount && detailedInfo.supplier.bpCode !==undefined"
      class="info">
      <span> Supplier:&nbsp; </span>
      <span> {{detailedInfo.supplier.bpCode}} - {{detailedInfo.supplier.name}} </span>
    </div>
    <div
      *ngIf="detailedInfo.customer !== undefined && detailedInfo.ledgerAccount && detailedInfo.customer.bpCode !==undefined"
      class="info">
      <span> customer:&nbsp; </span>
      <span> {{detailedInfo.customer.bpCode}} - {{detailedInfo.customer.name}} </span>
    </div>
    <div *ngIf="detailedInfo.customer !== undefined" class="info">
      <span> Customer:&nbsp; </span>
      <span> {{detailedInfo.customer}} - {{detailedInfo.customerName}}</span>
    </div>
    <div *ngIf="detailedInfo.wareHouse !== undefined" class="info">
      <span> unit:&nbsp; </span>
      <span> {{detailedInfo.wareHouse}} </span>
    </div>
    <div *ngIf="detailedInfo.code !== undefined" class="info">
      <span> Code:&nbsp; </span>
      <span> {{detailedInfo.code}} </span>
    </div>
    <div *ngIf="detailedInfo.invoiceNumber !== undefined" class="info">
      <span> Invoice Number:&nbsp; </span>
      <span> {{detailedInfo.invoiceNumber}} </span>
    </div>
    <div *ngIf="detailedInfo.invoiceDate !== undefined" class="info">
      <span> Invoice Date:&nbsp; </span>
      <span> {{detailedInfo.invoiceDate}} </span>
    </div>
    <div *ngIf="detailedInfo.invoiceAmount !== undefined" class="info">
      <span> Invoice Amount:&nbsp; </span>
      <span> {{detailedInfo.currency}} {{detailedInfo.invoiceAmount }} </span>
    </div>
    <div *ngIf="detailedInfo.currency !== undefined" class="info">
      <span> Currency:&nbsp; </span>
      <span> {{detailedInfo.currency}}</span>
    </div>
    <div *ngIf="detailedInfo.vatDetails !== undefined" class="info">
      <span> VAT Code:&nbsp; </span>
      <span> {{detailedInfo?.vatDetails?.vatCode}}</span>
    </div>
    <div *ngIf="detailedInfo.vatDetails !== undefined" class="info">
      <span> VAT Percentage:&nbsp; </span>
      <span> {{detailedInfo?.vatDetails?.vatPercentage}}</span>
    </div>
    <div *ngIf="detailedInfo?.grossAmount" class="info">
      <span> Gross Amount:&nbsp; </span>
      <span> {{detailedInfo?.grossAmount}}</span>
    </div>
    <div *ngIf="detailedInfo?.netAmount" class="info">
      <span> NET Amount:&nbsp; </span>
      <span> {{detailedInfo?.netAmount}}</span>
    </div>
    <div *ngIf="detailedInfo.paymentTerms !== undefined" class="info">
      <span>Payment Terms:&nbsp; </span>
      <span>{{detailedInfo.paymentTerms }} </span>
    </div>
    <div *ngIf="detailedInfo.deliveryTerms !== undefined" class="info">
      <span>Delivery Terms:&nbsp; </span>
      <span>{{detailedInfo.deliveryTerms }} </span>
    </div>
    <div *ngIf="detailedInfo.deliveryNote !== undefined" class="info">
      <span>Delivery Note:&nbsp; </span>
      <span>{{detailedInfo.deliveryNote }} </span>
    </div>
    <div *ngIf="detailedInfo.transactionType !== undefined && !isLedger" class="info">
      <span> Transaction Type:&nbsp; </span>
      <span> {{detailedInfo.transactionType}} </span>
    </div>
    <div *ngIf="detailedInfo.documentDate !== undefined" class="info">
      <span> Document Date:&nbsp; </span>
      <span> {{detailedInfo.documentDate}} </span>
    </div>
    <div *ngIf="detailedInfo.date !== undefined" class="info">
      <span> Date:&nbsp; </span>
      <span> {{detailedInfo.date}} </span>
    </div>
    <ng-container *ngIf="detailedInfo.dimensions !== undefined">
      <div *ngFor="let dimension of detailedInfo.dimensions " class="info">
        <span> {{dimension.key}}:&nbsp; </span>
        <span> {{dimension.value}} </span>
      </div>
    </ng-container>
    <div *ngIf="detailedInfo.transactionEntryDate !== undefined" class="info">
      <span> Transaction Entry Date:&nbsp; </span>
      <span> {{detailedInfo.transactionEntryDate}} </span>
    </div>
    <div *ngIf="detailedInfo.poTotal !== undefined" class="info">
      <span> Total:&nbsp; </span>
      <span> {{detailedInfo.poTotal | number : '1.0-2'}} </span>
    </div>
    <div *ngIf="detailedInfo.ledgerAccount && detailedInfo.type !== undefined" class="info">
      <span> Account Type:&nbsp; </span>
      <span> {{detailedInfo.type}} </span>
    </div>
    <div *ngIf="detailedInfo.fiscalPeriod !== undefined" class="info">
      <span> Fiscal Period:&nbsp; </span>
      <span> {{detailedInfo.fiscalPeriod.period}}-{{detailedInfo.fiscalPeriod.year}} </span>
    </div>
    <div *ngIf="detailedInfo.taxPeriod !== undefined" class="info">
      <span> Tax Period:&nbsp; </span>
      <span> {{detailedInfo.taxPeriod.period}}-{{detailedInfo.taxPeriod.year}} </span>
    </div>
    <div *ngIf="detailedInfo.ledgerAccount !== undefined" class="info">
      <span> Ledger Account Number:&nbsp; </span>
      <span> {{detailedInfo.ledgerAccount.accountNumber}} </span>
    </div>
    <div *ngIf="detailedInfo.employeeName !== undefined" class="info">
      <span> Employee Name:&nbsp; </span>
      <span> {{detailedInfo.employeeName}} </span>
    </div>
    <div *ngIf="detailedInfo.employeeNumber !== undefined" class="info">
      <span> Employee Number:&nbsp; </span>
      <span> {{detailedInfo.employeeNumber}} </span>
    </div>
    <div *ngIf="detailedInfo.classification !== undefined" class="info">
      <span> Classification:&nbsp; </span>
      <span> {{detailedInfo.classification}} </span>
    </div>
    <div *ngIf="detailedInfo.shipmentDate !== undefined" class="info">
      <span> Shipment Date:&nbsp; </span>
      <span> {{detailedInfo.shipmentDate}} </span>
    </div>
    <div *ngIf="detailedInfo.packingSlipNumber !== undefined" class="info">
      <span> Packing Slip Number:&nbsp; </span>
      <span> {{detailedInfo.packingSlipNumber}} </span>
    </div>
    <div *ngIf="detailedInfo.hours !== undefined" class="info">
      <span> Hours:&nbsp; </span>
      <span> {{detailedInfo.hours}} </span>
    </div>
    <div *ngIf="detailedInfo.effectiveDate !== undefined" class="info">
      <span> Effective Date:&nbsp; </span>
      <span> {{detailedInfo.effectiveDate}} </span>
    </div>
    <div *ngIf="detailedInfo.creationDate !== undefined" class="info">
      <span> Creation Date:&nbsp; </span>
      <span> {{detailedInfo.creationDate}} </span>
    </div>
    <div *ngIf="detailedInfo.reason !== undefined" class="info">
      <span> Reason:&nbsp; </span>
      <span> {{detailedInfo.reason}} </span>
    </div>
    <div *ngIf="detailedInfo.parent !== undefined && detailedInfo.parent.rejectionReason !== undefined" class="info">
      <span> Reason:&nbsp; </span>
      <span> {{detailedInfo?.parent?.rejectionReason}} </span>
    </div>
    <div *ngIf="detailedInfo.ledgerAccount !== undefined" class="info">
      <span> Ledger Account Type:&nbsp; </span>
      <span> {{detailedInfo.ledgerAccount.accountType}} </span>
    </div>
    <div *ngIf="detailedInfo.soTotal !== undefined" class="info">
      <span> Total:&nbsp; </span>
      <span> {{detailedInfo.soTotal | number : '1.0-2'}} </span>
    </div>
    <div *ngIf="detailedInfo.customerOrderReference !== undefined" class="info">
      <span> Customer Order Reference:&nbsp; </span>
      <span> {{detailedInfo.customerOrderReference | number : '1.0-2'}} </span>
    </div>
    <!-- Hr Detailed info start-->
    <div *ngIf="detailedInfo.passportName !== undefined" class="info">
      <span> Passport Name:&nbsp; </span>
      <span> {{detailedInfo.passportName}} </span>
    </div>
    <div *ngIf="detailedInfo.passportNumber !== undefined" class="info">
      <span> Passport Number:&nbsp; </span>
      <span> {{detailedInfo.passportNumber}} </span>
    </div>
    <div *ngIf="detailedInfo.passportExpiryDate !== undefined" class="info">
      <span> Passport Exp Date:&nbsp; </span>
      <span> {{detailedInfo.passportExpiryDate}} </span>
    </div>
    <div *ngIf="detailedInfo.perDiem !== undefined" class="info">
      <span> perDiem:&nbsp; </span>
      <span> {{detailedInfo.perDiem}} </span>
    </div>
    <div *ngIf="detailedInfo.airTicket !== undefined" class="info">
      <span> Air Ticket:&nbsp; </span>
      <span> {{detailedInfo.airTicket === 'true' ? 'Yes': 'No'}} </span>
    </div>
    <div *ngIf="detailedInfo.city !== undefined" class="info">
      <span> City:&nbsp; </span>
      <span> {{detailedInfo.city}} </span>
    </div>
    <div *ngIf="detailedInfo.mobileNumber !== undefined" class="info">
      <span> Mobile Number:&nbsp; </span>
      <span> {{detailedInfo.mobileNumber}} </span>
    </div>
    <div *ngIf="detailedInfo.routing !== undefined" class="info">
      <span> Routing:&nbsp; </span>
      <span> {{detailedInfo.routing}} </span>
    </div>
    <div *ngIf="detailedInfo.startDate !== undefined" class="info">
      <span> Start Date:&nbsp; </span>
      <span> {{detailedInfo.startDate}} </span>
    </div>
    <div *ngIf="detailedInfo.expenseAmount !== undefined" class="info">
      <span> Expense Amount:&nbsp; </span>
      <span> {{detailedInfo.expenseAmount}} </span>
    </div>
    <div *ngIf="detailedInfo.expenseCategory !== undefined" class="info">
      <span> Expense Categoryotes:&nbsp; </span>
      <span> {{detailedInfo.expenseCategory}} </span>
    </div>
    <div *ngIf="detailedInfo.expenseType !== undefined" class="info">
      <span> Expense Type:&nbsp; </span>
      <span> {{detailedInfo.expenseType}} </span>
    </div>
    <div *ngIf="detailedInfo.noOfMonths !== undefined" class="info">
      <span> No Of Months:&nbsp; </span>
      <span> {{detailedInfo.noOfMonths}} </span>
    </div>
    <div *ngIf="detailedInfo.notes !== undefined" class="info">
      <span> Notes:&nbsp; </span>
      <span> {{detailedInfo.notes}} </span>
    </div>
    <div *ngIf="detailedInfo.ticketReturnDate !== undefined" class="info">
      <span> Return Date:&nbsp; </span>
      <span> {{detailedInfo.ticketReturnDate}} </span>
    </div>
    <div *ngIf="detailedInfo.authorizingPersonId !== undefined" class="info">
      <span> Authorizing Person Id:&nbsp; </span>
      <span> {{detailedInfo.authorizingPersonId}} </span>
    </div>

    <div *ngIf="detailedInfo.authorizingPersonName !== undefined" class="info">
      <span> Authorizing Person Name:&nbsp; </span>
      <span> {{detailedInfo.authorizingPersonName}} </span>
    </div>
    <div *ngIf="detailedInfo.country !== undefined" class="info">
      <span> Country:&nbsp; </span>
      <span> {{detailedInfo.country}} </span>
    </div>
    <div *ngIf="detailedInfo.letterDetail !== undefined" class="info">
      <span> Letter Detail:&nbsp; </span>
      <span> {{detailedInfo.letterDetail}} </span>
    </div>
    <div *ngIf="detailedInfo.letterName !== undefined" class="info">
      <span> Letter Name:&nbsp; </span>
      <span> {{detailedInfo.letterName}} </span>
    </div>
    <div *ngIf="detailedInfo.visaRequiredFor !== undefined" class="info">
      <span> Visa Required For:&nbsp; </span>
      <span> {{detailedInfo.visaRequiredFor}} </span>
    </div>
    <div *ngIf="detailedInfo.visaType !== undefined" class="info">
      <span> Visa Type:&nbsp; </span>
      <span> {{detailedInfo.visaType}} </span>
    </div>
    <div *ngIf="detailedInfo.family !== undefined" class="info">
      <span> Family:&nbsp; </span>
      <span> {{detailedInfo.family}} </span>
    </div>
    <div *ngIf="detailedInfo.durationRequired !== undefined" class="info">
      <span> Duration Required:&nbsp; </span>
      <span> {{detailedInfo.durationRequired}} </span>
    </div>
    <div *ngIf="detailedInfo.chargeTo !== undefined" class="info">
      <span> Charge To:&nbsp; </span>
      <span> {{detailedInfo.chargeTo}} </span>
    </div>
    <div *ngIf="detailedInfo.leaveType !== undefined" class="info">
      <span> Leave Type:&nbsp; </span>
      <span> {{detailedInfo.leaveType}} </span>
    </div>
    <div *ngIf="detailedInfo.numberOfTickets !== undefined" class="info">
      <span> Number Of Tickets:&nbsp; </span>
      <span> {{detailedInfo.numberOfTickets}} </span>
    </div>
    <div *ngIf="detailedInfo.ticketDue !== undefined" class="info">
      <span> TicketDue :&nbsp; </span>
      <span> {{detailedInfo.ticketDue}} </span>
    </div>
    <div *ngIf="detailedInfo.overtimeHours !== undefined" class="info">
      <span> Over time Hours:&nbsp; </span>
      <span> {{detailedInfo.overtimeHours}} </span>
    </div>
    <div *ngIf="detailedInfo.amount !== undefined" class="info">
      <span> Amount:&nbsp; </span>
      <span> {{detailedInfo.amount}} </span>
    </div>
    <div *ngIf="detailedInfo.month !== undefined" class="info">
      <span> Month:&nbsp; </span>
      <span> {{detailedInfo.month}} </span>
    </div>
    <div *ngIf="detailedInfo.resignationType !== undefined" class="info">
      <span> resignationType:&nbsp; </span>
      <span> {{detailedInfo.resignationType}} </span>
    </div>
    <div *ngIf="detailedInfo.routingDetails !== undefined" class="info">
      <span> Routing Details:&nbsp; </span>
      <span> {{detailedInfo.routingDetails}} </span>
    </div>
    <div *ngIf="detailedInfo.lastWorkingDate !== undefined" class="info">
      <span> Last Working Date:&nbsp; </span>
      <span> {{detailedInfo.lastWorkingDate}} </span>
    </div>
    <div *ngIf="detailedInfo.leavingDate !== undefined" class="info">
      <span> Leaving Date:&nbsp; </span>
      <span> {{detailedInfo.leavingDate}} </span>
    </div>
    <div *ngIf="detailedInfo.timeIn !== undefined" class="info">
      <span> Time In:&nbsp; </span>
      <span> {{detailedInfo.timeIn}} </span>
    </div>
    <div *ngIf="detailedInfo.timeOut !== undefined" class="info">
      <span> Time Out:&nbsp; </span>
      <span> {{detailedInfo.timeOut}} </span>
    </div>
    <div *ngIf="detailedInfo.dateWorked !== undefined" class="info">
      <span> Date Worked:&nbsp; </span>
      <span> {{detailedInfo.dateWorked}} </span>
    </div>
    <div *ngIf="detailedInfo.clearanceType !== undefined" class="info">
      <span> Clearance Type:&nbsp; </span>
      <span> {{detailedInfo.clearanceType}} </span>
    </div>
    <div *ngIf="detailedInfo.exceptedReturnDate !== undefined" class="info">
      <span> Excepted Return Date:&nbsp; </span>
      <span> {{detailedInfo.exceptedReturnDate}} </span>
    </div>
    <div *ngIf="detailedInfo.housingDetails !== undefined" class="info">
      <span> Housing Details:&nbsp; </span>
      <span> {{detailedInfo.housingDetails}} </span>
    </div>
    <div *ngIf="detailedInfo.lastWorkingDate !== undefined" class="info">
      <span> Last Working Date:&nbsp; </span>
      <span> {{detailedInfo.lastWorkingDate}} </span>
    </div>
    <div *ngIf="detailedInfo.exitReEntryVisaNeeded !== undefined" class="info">
      <span> exit Re-Entry Visa Needed:&nbsp; </span>
      <span> {{detailedInfo.exitReEntryVisaNeeded ? 'Yes' : 'No'}} </span>
    </div>
    <div *ngIf="detailedInfo.ticketsNeeded !== undefined" class="info">
      <span> Tickets Needed:&nbsp; </span>
      <span> {{detailedInfo.ticketsNeeded ? 'Yes' : 'No'}} </span>
    </div>
    <div *ngIf="detailedInfo.telephone !== undefined" class="info">
      <span> Telephone:&nbsp; </span>
      <span> {{detailedInfo.telephone ? 'Yes' : 'No'}} </span>
    </div>
    <div *ngIf="detailedInfo.software !== undefined" class="info">
      <span> Software:&nbsp; </span>
      <span> {{detailedInfo.software ? 'Yes' : 'No'}} </span>
    </div>
    <div *ngIf="detailedInfo.printer !== undefined" class="info">
      <span> Printer:&nbsp; </span>
      <span> {{detailedInfo.printer ? 'Yes' : 'No'}} </span>
    </div>
    <div *ngIf="detailedInfo.totalTaxAmountInSAR !== undefined" class="info">
      <span> Total Tax Amount In SAR:&nbsp; </span>
      <span> {{getRoundOff(detailedInfo.totalTaxAmountInSAR - detailedInfo.totalAmountInSAR)}} </span>
    </div>
    <div *ngIf="detailedInfo.totalAmountInSAR !== undefined" class="info">
      <span> Total Amount In SAR:&nbsp; </span>
      <span> {{detailedInfo.totalAmountInSAR}} </span>
    </div>
    <div *ngIf="detailedInfo.pc !== undefined" class="info">
      <span> PC:&nbsp; </span>
      <span> {{detailedInfo.pc ? 'Yes' : 'No'}} </span>
    </div>
    <div *ngIf="detailedInfo.leaveManagement !== undefined && detailedInfo.leaveManagement.parent !== undefined && detailedInfo.leaveManagement.parent.transactionId !== undefined" class="info">
      <span> Transaction ID:&nbsp; </span>
      <span> {{detailedInfo?.leaveManagement?.parent?.transactionId}} </span>
    </div>
    <div *ngIf="detailedInfo.office !== undefined" class="info">
      <span> Office:&nbsp; </span>
      <span> {{detailedInfo.office ? 'Yes' : 'No'}} </span>
    </div>
    <div *ngIf="detailedInfo.mobile !== undefined" class="info">
      <span> Mobile:&nbsp; </span>
      <span> {{detailedInfo.mobile ? 'Yes' : 'No'}} </span>
    </div>
    <div *ngIf="detailedInfo.laptop !== undefined" class="info">
      <span> Laptop:&nbsp; </span>
      <span> {{detailedInfo.laptop ? 'Yes' : 'No'}} </span>
    </div>
    <div *ngIf="detailedInfo.carAndKey !== undefined" class="info">
      <span> Car And Key:&nbsp; </span>
      <span> {{detailedInfo.carAndKey ? 'Yes' : 'No'}} </span>
    </div>
    <div *ngIf="detailedInfo.housing !== undefined" class="info">
      <span> Housing:&nbsp; </span>
      <span> {{detailedInfo.housing ? 'Yes' : 'No'}} </span>
    </div>
    <div *ngIf="detailedInfo.days !== undefined" class="info">
      <span> Days:&nbsp; </span>
      <span> {{detailedInfo.days}} </span>
    </div>
    <div *ngIf="detailedInfo.endDate !== undefined" class="info">
      <span> End Dates:&nbsp; </span>
      <span> {{detailedInfo.endDate}} </span>
    </div>
    <div *ngIf="detailedInfo.replaceBy !== undefined" class="info">
      <span> Replace By:&nbsp; </span>
      <span> {{detailedInfo.replaceBy}} </span>
    </div>
    <!-- <div *ngIf="detailedInfo.inforResponseMessage !== undefined" class="info">
      <span> Infor Message:&nbsp; </span>
      <span> {{detailedInfo?.inforResponseMessage}} </span>
    </div> -->
    <div *ngIf="detailedInfo.parent !== undefined && detailedInfo.parent.ebsResponseMessage !== undefined" class="info">
      <span> EBS Response Message:&nbsp; </span>
      <span> {{detailedInfo?.parent?.ebsResponseMessage}} </span>
    </div>
    <!-- Hr Detailed Info end -->
  </div>
  <h5 class="item-info-heading" *ngIf="detailedInfo.item !== undefined">Items Details</h5>
  <div *ngIf="detailedInfo.item !== undefined" class="mat-elevation-z8 item-info-table">
    <table mat-table [dataSource]="infoDataSource" class="mat-elevation-z8">
      <ng-container matColumnDef="No">
        <th mat-header-cell *matHeaderCellDef> S.No </th>
        <td class="link" mat-cell *matCellDef="let element; let i = index;"> {{i + 1}}
        </td>
      </ng-container>
      <ng-container matColumnDef="itemCode">
        <th mat-header-cell *matHeaderCellDef> Item Code </th>
        <td mat-cell *matCellDef="let element"> {{element.itemCode}} </td>
      </ng-container>
      <ng-container matColumnDef="itemDescription">
        <th mat-header-cell *matHeaderCellDef> Item Description </th>
        <td mat-cell *matCellDef="let element"> {{element.itemDescription}} </td>
      </ng-container>
      <ng-container matColumnDef="unit">
        <th mat-header-cell *matHeaderCellDef> Unit </th>
        <td mat-cell *matCellDef="let element"> {{element.unit}} </td>
      </ng-container>
      <ng-container matColumnDef="quantity">
        <th mat-header-cell *matHeaderCellDef> Quantity </th>
        <td mat-cell *matCellDef="let element"> {{element.quantity}} </td>
      </ng-container>
      <ng-container matColumnDef="vatPercentage">
        <th mat-header-cell *matHeaderCellDef> VAT Percentage </th>
        <td mat-cell *matCellDef="let element"> {{element?.vatPercentage}} </td>
      </ng-container>
      <ng-container matColumnDef="discountPercentage">
        <th mat-header-cell *matHeaderCellDef> Discount Percentage </th>
        <td mat-cell *matCellDef="let element"> {{element?.discountPercentage}} </td>
      </ng-container>
      <ng-container matColumnDef="itemTotal">
        <th mat-header-cell *matHeaderCellDef> Item Total </th>
        <td mat-cell *matCellDef="let element"> {{element.itemTotal | number : '1.0-2'}} </td>
      </ng-container>
      <ng-container matColumnDef="price">
        <th mat-header-cell *matHeaderCellDef> Price </th>
        <td mat-cell *matCellDef="let element"> {{element.price | number : '1.0-2'}} </td>
      </ng-container>
      <ng-container matColumnDef="subTotal">
        <th mat-header-cell *matHeaderCellDef> Sub Total </th>
        <td mat-cell *matCellDef="let element"> {{element.subTotal | number : '1.0-2'}} </td>
      </ng-container>
      <tr mat-header-row *matHeaderRowDef="infoDisplayedColumns"></tr>
      <tr mat-row *matRowDef="let row; columns: infoDisplayedColumns;"></tr>
    </table>
  </div>

  <h5 class="item-info-heading" *ngIf="detailedInfo.familyDetails !== undefined">Family Details</h5>
  <div *ngIf="detailedInfo.familyDetails !== undefined" class="mat-elevation-z8 item-info-table">
    <table mat-table [dataSource]="infoDataSource" class="mat-elevation-z8">
      <ng-container matColumnDef="key">
        <th mat-header-cell *matHeaderCellDef> ID </th>
        <td mat-cell *matCellDef="let element"> {{element.key}} </td>
      </ng-container>
      <ng-container matColumnDef="value">
        <th mat-header-cell *matHeaderCellDef> Name </th>
        <td mat-cell *matCellDef="let element"> {{element.value}} </td>
      </ng-container>
      <tr mat-header-row *matHeaderRowDef="infoDisplayedColumnsFamily"></tr>
      <tr mat-row *matRowDef="let row; columns: infoDisplayedColumnsFamily;"></tr>
    </table>
  </div>
</mat-card>

<div>
  <section class="attachment-section" *ngIf="displayDetailedInfo">
    <span *ngIf="showPrint" class="download-icon1"><button class="print-btn" mat-button
        (click)="onPrint('printable')">Print</button>
    </span>
    <span
      *ngIf="detailedInfo !==undefined && detailedInfo?.status !== 'CLOSED' && (detailedInfo.salesOrder !== undefined || detailedInfo.purchaseOrder !== undefined) && processType === 'Operation History' "
      class="download-icon1"><button class="print-btn" mat-button
        (click)="onCancelRequest(detailedInfo.purchaseOrder !== undefined ? detailedInfo.purchaseOrder : detailedInfo.salesOrder)">Close</button>
    </span>

  </section>
</div>

<div *ngIf="showRemove">
  <section class="attachment-section">
    <span class="download-icon1"><button class="print-btn" mat-button (click)="remove()">Delete</button> </span>

  </section>
</div>